Subject: [Sipping] Persistent Connections

From: Gonzalo Camarillo <[email-masked]>
Date: Mon, 10 Mar 2003 10:43:20 +0200

Hello,

What would be the difference between the persistent Via parameter
proposed in the draft below (Section 8.1) and the Alias Via parameter
proposed in the connection reuse draft? Does it solve the hint/forced
dilema in any way?

http://www.ietf.org/internet-drafts/draft-jain-sipping-persistent-conn-reqs-00.txt

Regarding the new transport token proposed in Section 8.3, the current
trend is not to define new transport tokens. That's why RFC 3486, for
instance, describes a SIP mechanism rather than a DNS based mechanism.

Gonzalo
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Vijay K. Gurbani" <[email-masked]>
Date: Mon, 10 Mar 2003 11:40:00 -0600

> proposed in the connection reuse draft? Does it solve the hint/forced

Gonzalo:

Both the connect-reuse I-D and persistent-connection I-D allow the
connection to be used for requests initiated in either directions.
However, the persistent-connection I-D explicitly allows the socket
to be left in a connected state for future sessions (of course,
either peer should be prepared for the socket being closed by due to 
administrative reasons -- TLS certificate expiry, scheduled downtime --
or otherwise (system reboot or peer crash).

Furthermore, the connect-reuse I-D allows for NAT-traversal as does
the persistent-connection I-D.  But depending on which of the three
implementation options are chosen, it can also serve as a negotiation
mechanism to provide a hint/forced paradigm.

> trend is not to define new transport tokens. 

Understood.

Thanks.

- vijay
-- 
Vijay K. Gurbani  vkg@{lucent.com,research.bell-labs.com,acm.org}
Wireless Networks Group/Internet Software and Services
Lucent Technologies/Bell Labs Innovations, 2000 Lucent Lane, Rm 6G-440
Naperville, Illinois 60566     Voice: +1 630 224 0216

---

From: "Shane McCormack" <[email-masked]>
Date: Mon, 10 Mar 2003 20:28:11 -0000

Hi,
Just wondering is there any work and dissemination been done on any work
related to Sip Services over Wifi interfaces.
I would be interested to hear for my thesis work.

Regards
Shane McCormack

Research Assistant,
TSSG, Confederation House,
Waterford Business Park, Cork Road,
Waterford, Co. Waterford.

Phone: +353 51 302927     Fax: +353 51 302901
Mobile: +353 87 9955505
http://www.tssg.org

---

From: Henry Sinnreich <[email-masked]>
Date: Tue, 11 Mar 2003 08:55:43 -0600

> on any work related to Sip Services over Wifi interfaces.

Just connect the Pingtel phone to your Wi-Fi using the Linksys WET11 and
it works. Some SIP phones don't do the 10/100 Mb/s Ethernet negociation
correctly and an old Ethernet hub in the middle solves the problem.

Thanks, Henry

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Shane McCormack
> Sent: Monday, March 10, 2003 2:28 PM
> To: sipping
> Subject: [Sipping] Sip and wifi
> 
> 
> Hi,
> Just wondering is there any work and dissemination been done 
> on any work related to Sip Services over Wifi interfaces. I 
> would be interested to hear for my thesis work.
> 
> Regards
> Shane McCormack
> 
> Research Assistant,
> Use [email-masked] for questions on current 
> sip Use [email-masked] for new developments of core SIP
>

---

From: "Shane McCormack" <[email-masked]>
Date: Tue, 11 Mar 2003 15:17:18 -0000

what about mobile sip enabled devices roaming from one wifi "hotspot" to
another which are not from the same wireless access provider?
also
What mechanism is being used, mobile ip in the IP layer or sip based
mobility support as stated in Wedlunds and Shulzrinnes paper "Mobility
Support Using Sip"?
I am interested to hear some opinions on these matters as.

Regards
Shane McCormack

Research Assistant,

Phone: +353 51 302927     Fax: +353 51 302901
Mobile: +353 87 9955505
http://www.tssg.org <http://www.tssg.org/>
MSN: [email-masked] <mailto:[email-masked]>

-----Original Message-----
From: Henry Sinnreich [mailto:[email-masked]]
Sent: 11 March 2003 14:56
To: 'Shane McCormack'; 'sipping'
Subject: RE: [Sipping] Sip and wifi

*This message was transferred with a trial version of CommuniGate(tm) Pro*

Thanks, Henry